"""ISO 3166-2 DZ standard representation.

References:
  - https://en.wikipedia.org/wiki/ISO_3166-2
  - https://www.iso.org/obp/ui/#iso:code:3166:DZ
"""

from iso_standards.base import EntityCollection
from iso_standards.iso3166.types import Iso3166_2 as Entity


class Iso3166_2(EntityCollection):
    __slots__ = ()

    entities = {
        "DZ-01": (Entity("Adrar", "DZ-01", "PROVINCE", "ar", ""),),
        "DZ-02": (Entity("Chlef", "DZ-02", "PROVINCE", "ar", ""),),
        "DZ-03": (Entity("Laghouat", "DZ-03", "PROVINCE", "ar", ""),),
        "DZ-04": (Entity("Oum el Bouaghi", "DZ-04", "PROVINCE", "ar", ""),),
        "DZ-05": (Entity("Batna", "DZ-05", "PROVINCE", "ar", ""),),
        "DZ-06": (Entity("Béjaïa", "DZ-06", "PROVINCE", "ar", ""),),
        "DZ-07": (Entity("Biskra", "DZ-07", "PROVINCE", "ar", ""),),
        "DZ-08": (Entity("Béchar", "DZ-08", "PROVINCE", "ar", ""),),
        "DZ-09": (Entity("Blida", "DZ-09", "PROVINCE", "ar", ""),),
        "DZ-10": (Entity("Bouira", "DZ-10", "PROVINCE", "ar", ""),),
        "DZ-11": (Entity("Tamanrasset", "DZ-11", "PROVINCE", "ar", ""),),
        "DZ-12": (Entity("Tébessa", "DZ-12", "PROVINCE", "ar", ""),),
        "DZ-13": (Entity("Tlemcen", "DZ-13", "PROVINCE", "ar", ""),),
        "DZ-14": (Entity("Tiaret", "DZ-14", "PROVINCE", "ar", ""),),
        "DZ-15": (Entity("Tizi Ouzou", "DZ-15", "PROVINCE", "ar", ""),),
        "DZ-16": (Entity("Alger", "DZ-16", "PROVINCE", "ar", ""),),
        "DZ-17": (Entity("Djelfa", "DZ-17", "PROVINCE", "ar", ""),),
        "DZ-18": (Entity("Jijel", "DZ-18", "PROVINCE", "ar", ""),),
        "DZ-19": (Entity("Sétif", "DZ-19", "PROVINCE", "ar", ""),),
        "DZ-20": (Entity("Saïda", "DZ-20", "PROVINCE", "ar", ""),),
        "DZ-21": (Entity("Skikda", "DZ-21", "PROVINCE", "ar", ""),),
        "DZ-22": (Entity("Sidi Bel Abbès", "DZ-22", "PROVINCE", "ar", ""),),
        "DZ-23": (Entity("Annaba", "DZ-23", "PROVINCE", "ar", ""),),
        "DZ-24": (Entity("Guelma", "DZ-24", "PROVINCE", "ar", ""),),
        "DZ-25": (Entity("Constantine", "DZ-25", "PROVINCE", "ar", ""),),
        "DZ-26": (Entity("Médéa", "DZ-26", "PROVINCE", "ar", ""),),
        "DZ-27": (Entity("Mostaganem", "DZ-27", "PROVINCE", "ar", ""),),
        "DZ-28": (Entity("M'sila", "DZ-28", "PROVINCE", "ar", ""),),
        "DZ-29": (Entity("Mascara", "DZ-29", "PROVINCE", "ar", ""),),
        "DZ-30": (Entity("Ouargla", "DZ-30", "PROVINCE", "ar", ""),),
        "DZ-31": (Entity("Oran", "DZ-31", "PROVINCE", "ar", ""),),
        "DZ-32": (Entity("El Bayadh", "DZ-32", "PROVINCE", "ar", ""),),
        "DZ-33": (Entity("Illizi", "DZ-33", "PROVINCE", "ar", ""),),
        "DZ-34": (Entity("Bordj Bou Arréridj", "DZ-34", "PROVINCE", "ar", ""),),
        "DZ-35": (Entity("Boumerdès", "DZ-35", "PROVINCE", "ar", ""),),
        "DZ-36": (Entity("El Tarf", "DZ-36", "PROVINCE", "ar", ""),),
        "DZ-37": (Entity("Tindouf", "DZ-37", "PROVINCE", "ar", ""),),
        "DZ-38": (Entity("Tissemsilt", "DZ-38", "PROVINCE", "ar", ""),),
        "DZ-39": (Entity("El Oued", "DZ-39", "PROVINCE", "ar", ""),),
        "DZ-40": (Entity("Khenchela", "DZ-40", "PROVINCE", "ar", ""),),
        "DZ-41": (Entity("Souk Ahras", "DZ-41", "PROVINCE", "ar", ""),),
        "DZ-42": (Entity("Tipaza", "DZ-42", "PROVINCE", "ar", ""),),
        "DZ-43": (Entity("Mila", "DZ-43", "PROVINCE", "ar", ""),),
        "DZ-44": (Entity("Aïn Defla", "DZ-44", "PROVINCE", "ar", ""),),
        "DZ-45": (Entity("Naama", "DZ-45", "PROVINCE", "ar", ""),),
        "DZ-46": (Entity("Aïn Témouchent", "DZ-46", "PROVINCE", "ar", ""),),
        "DZ-47": (Entity("Ghardaïa", "DZ-47", "PROVINCE", "ar", ""),),
        "DZ-48": (Entity("Relizane", "DZ-48", "PROVINCE", "ar", ""),),
        "DZ-49": (Entity("Timimoun", "DZ-49", "PROVINCE", "ar", ""),),
        "DZ-50": (Entity("Bordj Badji Mokhtar", "DZ-50", "PROVINCE", "ar", ""),),
        "DZ-51": (Entity("Ouled Djellal", "DZ-51", "PROVINCE", "ar", ""),),
        "DZ-52": (Entity("Béni Abbès", "DZ-52", "PROVINCE", "ar", ""),),
        "DZ-53": (Entity("In Salah", "DZ-53", "PROVINCE", "ar", ""),),
        "DZ-54": (Entity("In Guezzam", "DZ-54", "PROVINCE", "ar", ""),),
        "DZ-55": (Entity("Touggourt", "DZ-55", "PROVINCE", "ar", ""),),
        "DZ-56": (Entity("Djanet", "DZ-56", "PROVINCE", "ar", ""),),
        "DZ-57": (Entity("El Meghaier", "DZ-57", "PROVINCE", "ar", ""),),
        "DZ-58": (Entity("El Meniaa", "DZ-58", "PROVINCE", "ar", ""),),
    }
